> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-compose/apis/management/aliases.md).

# Aliases

Aliases identify Management API entities. Learn the naming rules, validation constraints, and reserved values that you cannot use.

All Management API entities can be identified by an alias.

Aliases must typically be unique within a given scope, most often per-environment.

## Alias Validation

All aliases must comply with the following:

* Contain at least 3 characters, and no more than 255.
* Contain only ASCII letters, digits, and dash `-` characters.
* Not start with a number.
* Not start or end with a dash `-` character, nor contain multiple dashes in a row.
* Not be on the [reserved list](#reserved-aliases).

In addition to the above, project and environment aliases must not contain upper-case ASCII letters.

## Reserved Aliases

The following are reserved values that may not be used when providing an alias for any Management API entity.

<details>

<summary>Reserved Aliases</summary>

* BigInt
* Boolean
* Byte
* Collection
* ComplexScalar
* Date
* DateOnly
* DateTime
* DateTimeOffset
* Decimal
* Float
* Guid
* Half
* HTML
* Id
* Int
* JSON
* LinkImport
* LinkPurpose
* Long
* Mutation
* Node
* NodeConnection
* NodeEdge
* NodeFilterInput
* PageInfo
* Query
* SByte
* Scalar
* Short
* String
* Subscription
* TimeOnly
* TimeSpanMilliseconds
* TimeSpanSeconds
* UInt
* Umbraco
* ULong
* UShort
* Uri

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-compose/apis/management/aliases.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
